SPECK128::Base Class Reference

SPECK128 block cipher base implementation. More...

`#include <speck.h>`

Inheritance diagram for SPECK128::Base:

## Public Member Functions

std::string | AlgorithmName () const
| The algorithm name.
std::string | AlgorithmProvider () const
unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
Public Member Functions inherited from BlockCipherImpl< SPECK_Info< 16, 16, 16, 32 > >
unsigned int | BlockSize () const
| Provides the block size of the algorithm.
Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
std::string | AlgorithmName () const
| The algorithm name.

## Additional Inherited Members

Static Public Member Functions inherited from AlgorithmImpl< BASE, ALGORITHM_INFO >
static std::string | StaticAlgorithmName ()
| The algorithm name.

## Detailed Description

SPECK128 block cipher base implementation.

Provides implementation common to encryption and decryption

Since
  Crypto++ 6.0

Definition at line 151 of file speck.h.

## Member Function Documentation

## AlgorithmName()

std::string SPECK128::Base::AlgorithmName | ( |  | ) | const

inline

The algorithm name.

Returns
  the algorithm name

AlgorithmName returns the algorithm's name as a member function.

Definition at line 158 of file speck.h.

## AlgorithmProvider()

std::string SPECK128::Base::AlgorithmProvider | ( |  | ) | const

Definition at line 294 of file speck.cpp.

## OptimalDataAlignment()

unsigned int SPECK128::Base::OptimalDataAlignment | ( |  | ) | const

Provides input and output data alignment for optimal performance.

Returns
  the input data alignment that provides optimal performance

See also
  GetAlignment() and OptimalBlockSize()

Definition at line 313 of file speck.cpp.

The documentation for this class was generated from the following files:

- speck.h
- speck.cpp